Bug 744096 - Password Reset fails
Password Reset fails
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Authentication-Internal (Show other bugs)
1.4.1
All All
unspecified Severity unspecified
: ---
: 1.4.2
Assigned To: David Mason
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-06 22:52 EDT by David Mason
Modified: 2011-10-28 03:33 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.4.2-SNAPSHOT (20111007-1636)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-28 03:33:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Mason 2011-10-06 22:52:18 EDT
Description of problem:
When resetting password, a success message is shown but the new password cannot be used to sign in, the old password still works.

Version-Release number of selected component (if applicable):


How reproducible:
Most of the time (it worked once out of about 8 tries)

Steps to Reproduce:
1.Without signing in, go to sign-in page
2.Click 'Forgot your password" and complete password reset form
3.Open link from password reset email
4.Enter a new password twice and click confirmation button
  
Actual results:
Messages shown:
 - "Your password has been successfully changed"
 - "Login failed"
 - "Transaction failed"
New password cannot be used to sign in

Expected results:
See message "Your password has been successfully changed", not other messages
Able to sign in with new password

Additional info:
Comment 1 David Mason 2011-10-06 22:52:48 EDT
Fixed for 1.4 and 1.5, see https://github.com/zanata/zanata/commit/241289a7e16b7dd5c6a81e0b60fed6f4904e1137
Comment 2 Ding-Yi Chen 2011-10-09 22:05:57 EDT
VERIFIED with Zanata version 1.4.2-SNAPSHOT (20111007-1636).

Note You need to log in before you can comment on or make changes to this bug.